Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2122896 - rpm -Va reports error on /var/lib/plymouth/boot-duration
Summary: rpm -Va reports error on /var/lib/plymouth/boot-duration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 36
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-31 08:29 UTC by Christoph Karl
Modified: 2022-10-03 00:20 UTC (History)
3 users (show)

Fixed In Version: plymouth-22.02.122-3.fc38 plymouth-22.02.122-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-28 22:10:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Christoph Karl 2022-08-31 08:29:01 UTC
Description of problem:
"rpm -Va" reports error on mode for /var/lib/plymouth/boot-duration

Version-Release number of selected component (if applicable):
plymouth-22.02.122-1.fc36.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make a fresh installation
2. run "rpm -Va"

Actual results:
.M.......  g /var/lib/plymouth/boot-duration

Expected results:
No output

Additional info:
Maybe the spec-file "plymouth.spec" line 329 should contain:
Instead of:
%ghost %{_localstatedir}/lib/plymouth/boot-duration
maybe better:
%ghost %verify(not mode) %{_localstatedir}/lib/plymouth/boot-duration

Comment 1 Hans de Goede 2022-09-28 13:39:25 UTC
Thank you for reporting this and for also suggesting a fix.

I'm currently preparing a (small) plymouth update for bug 2127663. I'm going to also include your suggested fix for this into that update.

Comment 2 Fedora Update System 2022-09-28 22:06:17 UTC
FEDORA-2022-c66bb240b7 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c66bb240b7

Comment 3 Fedora Update System 2022-09-28 22:10:06 UTC
FEDORA-2022-c66bb240b7 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-09-29 07:01:21 UTC
FEDORA-2022-938267a276 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-938267a276

Comment 5 Christoph Karl 2022-09-29 15:31:57 UTC
Fix verified in Fedora 38, thank you.

Comment 6 Fedora Update System 2022-09-30 01:13:48 UTC
FEDORA-2022-938267a276 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-938267a276`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-938267a276

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-03 00:20:01 UTC
FEDORA-2022-938267a276 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.